// This class is "generated" and will be overwritten.
// Your customizations should be made in SelectedDatesRecord.cs

using System;
using System.Collections;
using System.Data.SqlTypes;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Data.SqlProvider;

namespace SelectedDatesExample.Business
{

/// <summary>
/// The generated superclass for the <see cref="SelectedDatesRecord"></see> class.
/// </summary>
/// <remarks>
/// This class is not intended to be instantiated directly.  To obtain an instance of this class, 
/// use the methods of the <see cref="SelectedDatesTable"></see> class.
/// </remarks>
/// <seealso cref="SelectedDatesTable"></seealso>
/// <seealso cref="SelectedDatesRecord"></seealso>
public class BaseSelectedDatesRecord : PrimaryKeyRecord
{

	public readonly static SelectedDatesTable TableUtils = SelectedDatesTable.Instance;

	// Constructors
 
	protected BaseSelectedDatesRecord() : base(TableUtils)
	{
	}

	protected BaseSelectedDatesRecord(PrimaryKeyRecord record) : base(record, TableUtils)
	{
	}







#region "Convenience methods to get/set values of fields"

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's SelectedDates_.RecordId field.
	/// </summary>
	public ColumnValue GetRecordIdValue()
	{
		return this.GetValue(TableUtils.RecordIdColumn);
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's SelectedDates_.RecordId field.
	/// </summary>
	public Int32 GetRecordIdFieldValue()
	{
		return this.GetValue(TableUtils.RecordIdColumn).ToInt32();
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's SelectedDates_.DatesSelected field.
	/// </summary>
	public ColumnValue GetDatesSelectedValue()
	{
		return this.GetValue(TableUtils.DatesSelectedColumn);
	}

	/// <summary>
	/// This is a convenience method that provides direct access to the value of the record's SelectedDates_.DatesSelected field.
	/// </summary>
	public string GetDatesSelectedFieldValue()
	{
		return this.GetValue(TableUtils.DatesSelectedColumn).ToString();
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's SelectedDates_.DatesSelected field.
	/// </summary>
	public void SetDatesSelectedFieldValue(ColumnValue val)
	{
		this.SetValue(val, TableUtils.DatesSelectedColumn);
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's SelectedDates_.DatesSelected field.
	/// </summary>
	public void SetDatesSelectedFieldValue(string val)
	{
		ColumnValue cv = new ColumnValue(val);
		this.SetValue(cv, TableUtils.DatesSelectedColumn);
	}


#endregion

#region "Convenience methods to get field names"

	/// <summary>
	/// This is a property that provides direct access to the value of the record's SelectedDates_.RecordId field.
	/// </summary>
	public Int32 RecordId
	{
		get
		{
			return this.GetValue(TableUtils.RecordIdColumn).ToInt32();
		}
		set
		{
			ColumnValue cv = new ColumnValue(value);
			this.SetValue(cv, TableUtils.RecordIdColumn);
		}
	}


	/// <summary>
	/// This is a convenience method that can be used to determine that the column is set.
	/// </summary>
	public bool RecordIdSpecified
	{
		get
		{
			ColumnValue val = this.GetValue(TableUtils.RecordIdColumn);
            if (val == null || val.IsNull)
            {
                return false;
            }
            return true;
		}
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's SelectedDates_.RecordId field.
	/// </summary>
	public string RecordIdDefault
	{
		get
		{
			return TableUtils.RecordIdColumn.DefaultValue;
		}
	}
	/// <summary>
	/// This is a property that provides direct access to the value of the record's SelectedDates_.DatesSelected field.
	/// </summary>
	public string DatesSelected
	{
		get
		{
			return this.GetValue(TableUtils.DatesSelectedColumn).ToString();
		}
		set
		{
			ColumnValue cv = new ColumnValue(value);
			this.SetValue(cv, TableUtils.DatesSelectedColumn);
		}
	}


	/// <summary>
	/// This is a convenience method that can be used to determine that the column is set.
	/// </summary>
	public bool DatesSelectedSpecified
	{
		get
		{
			ColumnValue val = this.GetValue(TableUtils.DatesSelectedColumn);
            if (val == null || val.IsNull)
            {
                return false;
            }
            return true;
		}
	}

	/// <summary>
	/// This is a convenience method that allows direct modification of the value of the record's SelectedDates_.DatesSelected field.
	/// </summary>
	public string DatesSelectedDefault
	{
		get
		{
			return TableUtils.DatesSelectedColumn.DefaultValue;
		}
	}


#endregion
}

}
